function data=afficher_uniteT(data)
%afficher_uniteT Display the computational time unit and the time step proposition

%% ======================================================
% afficher l'unite de temps de la proposition
set(data.proposition_tag, 'string',...
     ['PROPOSITION (', data.uniteT_pourcalcul_libelle ')']);
% afficher l'unite de temps du pas de temps des calculs
set(data.saisie_tps_tag, 'string',...
    ['TIME STEP (', data.uniteT_pourcalcul_libelle ')']);
try
    proposition=eval(get(data.pas_tag,'string'));
end

% est-on dans le cas d'une restauration de précédents resultats?
% Si oui, on n'ecrit pas le warning concernant la conversion des donnees
restoration =get(data.fichier_chemin_tag, 'string');
if length(strfind(restoration, 'REST')) ==0  &&    data.tobsfactT ~= 0
    if data.tobsfactT >1
    hm=msgbox(['Observation times are not integers.', ...
        ' They will be converted into the next lower unit, i.e ', data.uniteT_pourcalcul_libelle, ...
        ', and rounded to entire values for the computations.']);
    else
        hm=msgbox(['Observation times are not integers and expressed in mns.', ...
            ' They will be rounded to entire values for the computations.']);
    end
    
    waitfor(hm);
end


guidata(1,data)
end %fin afficher_uniteT
